Find the answer to your Linux question:
Results 1 to 6 of 6
i configured the new version of glib i.e.glib 2.26.1 ,but when i go to install and remove software, it shows glib 2.22.1 .can anyone tell me why it is so? ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Just Joined!
    Join Date
    Jan 2011
    Posts
    5

    update package in mandriva 2010


    i configured the new version of glib i.e.glib 2.26.1 ,but when i go to install and remove software, it shows glib 2.22.1 .can anyone tell me why it is so?
    please suggest me solution to this problem

  2. #2
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    Can you explain more what you mean that you "configured the new version of glib"? You compiled a new version yourself?

  3. #3
    Just Joined!
    Join Date
    Jan 2011
    Posts
    5
    @reed9
    i downloaded a tar file of glib2.26.1 and extract it and then install it with 3 commands
    ./configure
    make
    make install
    after this when i checked the version in install and remove software it was showing version 2.22.1

  4. $spacer_open
    $spacer_close
  5. #4
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    Ok, that makes sense. When you compile software yourself, your package manager cannot track it and will not know about it. You might have two versions installed now, it's possible the defaults locations are different than Mandriva's packaging. Or you may have overwritten the original files.

    Glib being a major component of your system that many things depend on, you're quite likely to cause major breakage doing this and render your system completely unstable. Is there a reason you're trying to upgrade glib?

    @Mandriva1
    Please do not hijack threads. Start your own thread with your problem.

  6. #5
    Just Joined!
    Join Date
    Jan 2011
    Posts
    5
    @reed9
    i want to insatall wireshark on my mandriva for which i need a version of glib>2.25
    so i tried ti install it.
    can you suggest me a solution so that i can update it

  7. #6
    Linux Guru reed9's Avatar
    Join Date
    Feb 2009
    Location
    Boston, MA
    Posts
    4,651
    You should ideally install wireless using your package manager and an appropriate package for your version of Mandriva. I assume it would be in the repositories, no?

    Browsing one of their mirrors, I see packages for wireshark.

    Installing and removing software - Mandriva Community Wiki
    Packages - Mandriva Community Wiki

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •